Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# manimpango.text2svg

text2svg(settings, size, line_spacing, disable_liga, file_name, START_X, START_Y, width, height, orig_text, pango_width=None)

  Render an SVG file from a `manim.mobject.svg.text_mobject.Text` object.

  Parameters:

    - settings (list) –

    - size (float) –

    - line_spacing (float) –

    - disable_liga (bool) –

    - file_name (str) –

    - START_X (int) –

    - START_Y (int) –

    - width (int) –

    - height (int) –

    - orig_text (str) –

    - pango_width (int | None) –

  Return type:

    str